/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a16bb7d42320c9aa755a1d2a0d45bdbc7",
"IOStream_8cc.html#a9ebc01b7f87a5d078d0ac84d87407804",
"LogTools_8h.html#aaaeb2aad7912df5bff8ec8d37c1dd1fc",
"Modalias_8h.html",
"PoolItem_8cc.html",
"RepoFileReader_8cc.html",
"RpmDb_8h_source.html",
"Status_8h.html#a7b8657a86d4d56c3848b2bed39dffe62a541709a22ec40a73d62e29a947454d8d",
"Target_8cc_source.html",
"ZYppReadOnlyHack_8h.html",
"classzypp_1_1CapDetail.html#a6cdacf62aa134f6c090412443ad9a10e",
"classzypp_1_1ContentType.html#a7f9b93b4656a173f962fc102c5bec5a5",
"classzypp_1_1Edition.html#a3fee699ef6571a292d1f6ecbd7f97a04",
"classzypp_1_1HistoryLogDataInstall.html#afa65a35298699e35e4fcaff3ff089c96",
"classzypp_1_1KeyManagerCtx.html#a41b8cfc7486a0813ccfb9e7c3c3a1970",
"classzypp_1_1NamedValue.html#a3af83a583c190fdaf7cf6588bae68609",
"classzypp_1_1PluginFrame.html#ae8c758affe36494d5baadb9742dc46de",
"classzypp_1_1ProblemSolution.html",
"classzypp_1_1RepoInfo.html#a420a5668b25a08e0f229dca3ae019ced",
"classzypp_1_1ResKind.html#a6a195f7cf190932b381e41e0e8334601",
"classzypp_1_1ResStatus.html#a8374917f8b1d9c26269e7f58597abc66",
"classzypp_1_1ServiceInfo.html#a80bb4170d87c145902eecb088517801a",
"classzypp_1_1VendorAttr.html#a2deec02a38ccffc8c167e2d31fe54efc",
"classzypp_1_1ZYppCommitPolicy.html#a887e8b3cca8feabdc5337fec3e242a76",
"classzypp_1_1base_1_1SetRelationMixin.html#adf745ba576fa4f496a2e7d6c6c494654",
"classzypp_1_1filesystem_1_1Glob.html#a55bc7be81b23e2770109e99e02ede381",
"classzypp_1_1filter_1_1ByLocaleSupport.html#ab0fdbeb681cde5eff3909d37da9522ff",
"classzypp_1_1media_1_1MediaBlockList.html#af18c7cb2824c84ac357c9635e0d0841a",
"classzypp_1_1media_1_1MediaManager.html#a1f4effba8350a85f07619427ed504b8d",
"classzypp_1_1media_1_1ProxyInfo.html#a6113d978e4280c0fa119e0afb94a29bc",
"classzypp_1_1parser_1_1IniDict.html#a2e30755877bca926b2dc0507d6c16a12",
"classzypp_1_1repo_1_1PackageProviderImpl.html#abc1353213376e16b7209989b0f088f57",
"classzypp_1_1sat_1_1LocaleSupport.html#aa178029101741b015131d880e7da2726",
"classzypp_1_1sat_1_1Queue.html#a88429dd62bd8b0e14fafd886a78503ca",
"classzypp_1_1sat_1_1SolvableSet.html#a52a07935a06dc22c85142f39f94f022a",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#af7b9c1ed13bf4d388d475b5cba41231b",
"classzypp_1_1target_1_1CommitPackageCacheReadAhead.html#a118c6193ba6c6adda20e46d64d2f9aed",
"classzypp_1_1target_1_1rpm_1_1RpmDb.html",
"classzypp_1_1target_1_1rpm_1_1librpmDb_1_1db__const__iterator_1_1D.html#a163d533d12f295ba5c1c84b9c3b4b189",
"classzypp_1_1xml_1_1Node.html#a48be4249135b17f1e9c168e844b52781",
"functions_func.html",
"group__ZYPP__SMART__PTR.html",
"namespacezypp_1_1iostr.html",
"structzypp_1_1CompareByGT.html#ad61338dc3db15cf57e84b703f402fc28",
"structzypp_1_1HistoryActionID.html#ade918159654e8b9b6abd9f1f8ca09380",
"structzypp_1_1PoolQueryAttr.html#a085a77cb6116d35525b8d936e41da0fd",
"structzypp_1_1RepoManagerOptions.html#a23e3d95bdc22eb61e8eacfb89249e573",
"structzypp_1_1__detail_1_1__has__type__const__iterator.html",
"structzypp_1_1env_1_1ScopedSet.html#a63dabe00ce076ee3948ff13511c8d966",
"structzypp_1_1media_1_1MountEntry.html#ac2ba0740064836291f7733b0c6b2218f",
"structzypp_1_1repo_1_1RepoType.html#a6907d0947dbd1ff5b6ebe1528e14623e",
"structzypp_1_1sat_1_1Transaction_1_1Impl.html#aee6b861eb7fe149e514c1eb1a54f17f4",
"structzypp_1_1ui_1_1Selectable_1_1Impl.html#a7cea532dfeaa0cc71d628fc05084a52f",
"zypp-plugins.html#plugins-intro"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';